/*###### STYLESHEET FÜR DIE MAßNAHMEN ######*/
/*Div mit allen Maßnahmen: Position*/
.massnahmen-liste {
    display: flex;
    gap: 10px;
    margin-top: 10px;
    padding-bottom: 20px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    /*Scrollbar*/
    scrollbar-width: thin;
    overflow-y: visible;

    /*Position im Body der Grid Elemente*/
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 2;
    grid-row-end: 3;
}

/*Scrollbar Edge, Chrome, Safari etc.*/
.massnahmen-liste::-webkit-scrollbar {
    width: 0.6vw;
}

.massnahmen-liste::-webkit-scrollbar-track {
    margin-top: 1vw;
    margin-bottom: 1vw;
    background: var(--scroll-track);
    border-radius: 0.2vw;
}

.massnahmen-liste::-webkit-scrollbar-thumb {
    background: var(--scroll-thumb);
    border-radius: 0.2vw;
}

.massnahmen-liste::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}


/*Eine aufgeklappte Maßnahme*/
.massnahmen {
    width: 90%;
    /*Schrift*/
    font-size: 90%;
    font-weight: 500;

    /*Form und Farbe der Box*/
    border-radius: 5px;
    background-color: white;
    box-shadow: var(--schatten-u-r);
}

/*automatisch erzeugtes Design des X zum Aufklappen*/
.massnahmen-titel::marker {
    color: transparent;
}

/*selbst gestaltetes Design des X zum Aufklappen*/
.massnahmen-marker {
    /*Funktionen die das Kreuz nicht mit dem Cursor selektierbar machen*/
    font-size: 70%;
    font-weight: normal;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */
    /*Größe, Rotation, Farbe, Transition*/
    transform: translate(0, 0) rotate(45deg);
    filter: opacity(75%) grayscale(1);
    transition: all 0.5s;
}

/*Transition der Maßnahme*/
details[open] .massnahmen-marker {
    transform: translate(0, 0) rotate(0deg);
}

details > .massnahmen-titel::-webkit-details-marker {
    display: none;
}

/*Titel der Maßnahme*/
.massnahmen-titel {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 2%;
    cursor: pointer;
    min-height: 45px;
}

/*Inhalt der Maßnahmen --> Beschreibung, Quellen und Priorisierungswertung*/
.massnahmen-information {
    display: inline-grid;
    grid-auto-rows: max-content;
    grid-template-columns: [c1] 1fr;

    margin: 1% 2% 1% 5%;

    padding: 1%;
    width: 93%;

    background-color: var(--hintergrund);
    border-radius: 0.25em;

    column-gap: 10px;
    row-gap: 10px;
}

.massnahmen-informations-text {
    /*Schrift*/
    font-weight: 300;
    justify-self: start;
    grid-column-start: c1;
}

.massnahmen-informations-text h4 {
    font-weight: bold;
    font-size: small;
}

.massnahmen-informations-text p {
    font-size: small;
}

/*'Quellen' der Maßnahme*/
.massnahmen-informations-text-quellen {
    grid-column-end: c2;
    grid-row-start: 2;
    grid-row-end: 2;
    font-size: small;
}

/*Links zu den Quellen formatieren*/
p a:hover {
    border-bottom: .1em solid black;
}

/*'Beschreibung' der Maßnahme*/
.massnahmen-informations-text-beschreibung {
    grid-column-end: end;
    grid-row-start: 1;
    grid-row-end: 1;
}

/*'Priorisierungen' der Maßnahme*/
.massnahmen-informations-text-prio {
    text-align: left;
    grid-column-end: 1;
    grid-column-start: 1;
    grid-row-start: 3;
    grid-row-end: 3;
    height: fit-content;
}

.massnahmen-informations-text-prio th, td {
    font-weight: 300;
    font-size: small;
    width: fit-content;
}

.massnahmen-informations-text-prio th {
    font-weight: bold;
}

/*Einstellungen für alle Icons innerhalb einer Massnahme*/
.divs-mit-allen-icons {
    display: flex;
    width: 100%;
    grid-row-start: 4;
    grid-row-end: 4;
    grid-column-start: c1;
    grid-column-end: 2;
    justify-self: start;
    justify-content: center;
    gap: 10px;
    --icons-default-farbe: #747474;
    --icons-aktiv-farbe: #c00c24;
}

/*Einstellungen für ein Icon*/
.einzelnes-icon {
    max-width: 70%;
    max-height: 70%;
    margin: auto;
    /*Icon wird unabhängig der ursprünglichen Farbe weiß gemacht*/
    filter: brightness(0) invert(1);
}

/*grauer Kreis, auf dem das Icon zusehen ist*/
.dot {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-direction: column;
    margin-right: 0.1em;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: var(--icons-default-farbe);
    overflow: visible;
    cursor: pointer;
}

/*Hintergrundfarbe des Kreises ändert sich beim Hovern*/
.dot:hover {
    background-color: var(--icons-aktiv-farbe);
}

/*Tooltip, das während dem hovern erscheint und den Namen der zugehörigen UK trägt*/
.dot .tooltip {
    position: absolute;
    opacity: 0;
    color: white;
    border-radius: 7px;
    background-color: var(--icons-aktiv-farbe);
    padding: 2px;
    pointer-events: none;
    font-size: small;
    font-weight: lighter;
    text-align: center;
    max-width: 200px;
}

/*Transition Einstellungen für das Tooltip*/
.dot:hover .tooltip {
    opacity: 1;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    z-index: 1;
    margin-bottom: 30px;
}

/*Tooltip default position und keine sichtbarkeit dessen*/
.dot .tooltip:before {
    position: absolute;
    content: "";
    height: 10px;
    width: 10px;
    left: 50%;
    bottom: -5px;
    background: var(--icons-aktiv-farbe);
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    z-index: 0;
}

.tooltip p {
    display: inline-block;
    width: max-content;
}

/*Div, in dem alle Icons einer Oberkategorie enthalten sind*/
#icons_pro_oberkategorie {
    display: flex;
    /*Platz zwischen den einzelnen Divs, um die Sortierung nach den Oberkategorien zu verdeutlichen*/
    margin-right: 0.1em;
    justify-content: space-around;
}